summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroli2015-06-15 13:39:31 +0200
committeroli2015-06-15 13:39:31 +0200
commitaf504fa609b628a7167e8786551d8415f387e9a9 (patch)
treea5350f76b34b594b45c4a49c59d947f5cf157346
parent3180e09ecc21bde43b74344a6256892f29e76bc9 (diff)
downloadaur-af504fa609b628a7167e8786551d8415f387e9a9.tar.gz
fixed and updated
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD70
2 files changed, 63 insertions, 28 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 320abcfe0fc..f4002f98b38 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = hedgewars-hg
pkgdesc = Free Worms-like turn based strategy game (development version - mercurial)
- pkgver = 1
+ pkgver = r10991.fd172f166de4
pkgrel = 1
url = http://hedgewars.org
arch = i686
@@ -10,15 +10,30 @@ pkgbase = hedgewars-hg
makedepends = fpc
makedepends = cmake
makedepends = mercurial
- depends = qt
+ makedepends = ghc
+ makedepends = haskell-network
+ makedepends = haskell-bytestring-show
+ makedepends = haskell-utf8-string
+ makedepends = haskell-dataenc
+ makedepends = haskell-hslogger
+ makedepends = haskell-vector
+ makedepends = haskell-entropy
+ makedepends = haskell-sha
+ makedepends = haskell-zlib
+ makedepends = haskell-random
+ depends = qt4
depends = sdl_mixer
depends = sdl_image
depends = sdl_net
depends = sdl_ttf
- depends = lua
+ depends = lua51
+ depends = physfs
+ depends = ffmpeg
conflicts = hedgewars
+ source = hedgewars-hg::hg+https://hedgewars.googlecode.com/hg/
source = hedgewars.desktop
source = hedgewars.png
+ md5sums = SKIP
md5sums = 48c66a3204d4fa0a69e9aa46f7c31e0c
md5sums = eeb14d50df39063549ac5eca9dbc65d1
diff --git a/PKGBUILD b/PKGBUILD
index 7944b0e4678..9a2d4ad7467 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,41 +1,61 @@
# Maintainer: Jozef Riha <jose1711 at gmail dot com>
pkgname=hedgewars-hg
-pkgver=1
+pkgver=r10991.fd172f166de4
pkgrel=1
pkgdesc="Free Worms-like turn based strategy game (development version - mercurial)"
arch=('i686' 'x86_64')
url="http://hedgewars.org"
license=('GPL' 'custom')
-depends=('qt' 'sdl_mixer' 'sdl_image' 'sdl_net' 'sdl_ttf' 'lua')
-makedepends=('fpc' 'cmake' 'mercurial')
-source=(hedgewars.desktop \
+depends=('qt4' 'sdl_mixer' 'sdl_image' 'sdl_net' 'sdl_ttf' 'lua51' 'physfs' 'ffmpeg')
+makedepends=('fpc' 'cmake' 'mercurial'
+'ghc'
+'haskell-network'
+'haskell-bytestring-show'
+'haskell-utf8-string'
+'haskell-dataenc'
+'haskell-hslogger'
+'haskell-vector'
+'haskell-entropy'
+'haskell-sha'
+'haskell-zlib'
+'haskell-random')
+source=("${pkgname}"::'hg+https://hedgewars.googlecode.com/hg/' \
+ hedgewars.desktop \
hedgewars.png)
-md5sums=('48c66a3204d4fa0a69e9aa46f7c31e0c'
+md5sums=('SKIP'
+ '48c66a3204d4fa0a69e9aa46f7c31e0c'
'eeb14d50df39063549ac5eca9dbc65d1')
conflicts=('hedgewars')
-_hgtrunk="https://hedgewars.googlecode.com/hg/"
-_hgmod="hedgewars"
-
-build() {
- cd $srcdir
+pkgver() {
+ cd "$pkgname"
+ printf "r%s.%s" "$(hg identify -n)" "$(hg identify -i)"
+}
- # get the sources
- msg "Connecting to $_hgtrunk ..."
- if [ -d $_hgmod/.hg ]; then
- (cd $_hgmod && hg pull -u) || return 1
- else
- hg clone $_hgtrunk $_hgmod || return 1
- fi
- msg "Mercurial clone done or server timeout"
+prepare() {
+ cd ${srcdir}/${pkgname}
+ sed -i 's|instance NFData (Chan a)$|instance NFData (Chan a) where rnf x = seq x ()|' gameServer/CoreTypes.hs
+}
- install -D -m644 $srcdir/hedgewars.png $pkgdir/usr/share/pixmaps/hedgewars.png && \
- install -D -m644 $srcdir/hedgewars.desktop $pkgdir/usr/share/applications/hedgewars.desktop || return 1
+build() {
+ cd ${srcdir}/${pkgname}
+ mkdir -p $srcdir/bin
+ #cmake -DCMAKE_INSTALL_PREFIX=/usr -DDATA_INSTALL_DIR=/usr/share -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake -DQT_MOC_EXECUTABLE=/usr/bin/moc || return 1
+ ln -sf /usr/bin/lrelease-qt4 $srcdir/bin/Qt4::lrelease
+ export PATH=$srcdir/bin:$PATH
+ cmake \
+ -DCMAKE_BUILD_TYPE="Release" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DDATA_INSTALL_DIR=/usr/share/hedgewars \
+ -DNOSERVER=0 .
+ make
+}
- cd $srcdir/hedgewars
- cmake -DCMAKE_INSTALL_PREFIX=/usr -DDATA_INSTALL_DIR=/usr/share -DQT_QMAKE_EXECUTABLE=/usr/bin/qmake -DQT_MOC_EXECUTABLE=/usr/bin/moc || return 1
- make || return 1
- make DESTDIR=$pkgdir install || return 1
- install -D -m644 Fonts_LICENSE.txt $pkgdir/usr/share/licenses/$pkgname/Fonts_LICENSE.txt || return 1
+package() {
+ cd ${srcdir}/${pkgname}
+ make DESTDIR=$pkgdir install
+ install -D -m644 Fonts_LICENSE.txt $pkgdir/usr/share/licenses/$pkgname/Fonts_LICENSE.txt
+ install -D -m644 $srcdir/hedgewars.png $pkgdir/usr/share/pixmaps/hedgewars.png
+ install -D -m644 $srcdir/hedgewars.desktop $pkgdir/usr/share/applications/hedgewars.desktop
}